Last Comment Bug 779580 - Blacklist WebGL MSAA on Intel driver on Mesa 8.1, as it was lying about GL_MAX_SAMPLES
: Blacklist WebGL MSAA on Intel driver on Mesa 8.1, as it was lying about GL_MA...
Status: RESOLVED FIXED
webgl-conformance
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla17
Assigned To: Benoit Jacob [:bjacob] (mostly away)
:
:
Mentors:
Depends on: 1080277
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 11:44 PDT by Benoit Jacob [:bjacob] (mostly away)
Modified: 2014-10-08 16:41 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
block msaa on Intel (3.49 KB, patch)
2012-08-01 12:01 PDT, Benoit Jacob [:bjacob] (mostly away)
no flags Details | Diff | Splinter Review
block msaa on Intel on Mesa < 8.1 (3.77 KB, patch)
2012-08-01 12:15 PDT, Benoit Jacob [:bjacob] (mostly away)
jgilbert: review+
Details | Diff | Splinter Review

Description Benoit Jacob [:bjacob] (mostly away) 2012-08-01 11:44:19 PDT
As discussed on the mesa-dev list, the Intel Mesa driver (as of Mesa 8.0) wrongly returns GL_MAX_SAMPLES>0 even though the correct value is 0 (does not support msaa FBOs).

That's causing a test failure in https://www.khronos.org/registry/webgl/conformance-suites/1.0.1/conformance/context/context-attributes-alpha-depth-stencil-antialias.html which is actually the very last 1.0.1 test failure.

Setting webgl.msaa-level=0 does now give a full pass, and as we already have a full pass on NVIDIA 302.17, it's worth doing a little workaround to get that second full pass we need to claim conformance on Linux.

So let's assume that Intel Mesa never supports msaa FBOs, until further notice. I asked mesa devs if it's already fixed in trunk; if it is, we'll do a version check instead.
Comment 1 Benoit Jacob [:bjacob] (mostly away) 2012-08-01 12:01:36 PDT
Created attachment 648034 [details] [diff] [review]
block msaa on Intel
Comment 2 Benoit Jacob [:bjacob] (mostly away) 2012-08-01 12:15:59 PDT
Created attachment 648037 [details] [diff] [review]
block msaa on Intel on Mesa < 8.1
Comment 3 Benoit Jacob [:bjacob] (mostly away) 2012-08-01 12:17:28 PDT
Ken from the mesa-dev list confirmed that this is fixed in versions >= 8.1.0.
Comment 4 Benoit Jacob [:bjacob] (mostly away) 2012-08-02 14:36:19 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/90495de76df0
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-08-02 19:07:09 PDT
https://hg.mozilla.org/mozilla-central/rev/90495de76df0

Note You need to log in before you can comment on or make changes to this bug.